Qt Reference Documentation

# QIconEnginePluginV2 Class Reference

The QIconEnginePluginV2 class provides an abstract base for custom QIconEngineV2 plugins. More...

     #include <QIconEnginePluginV2>

Inherits: QObject.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

## Public Functions

| QIconEnginePluginV2 ( QObject * parent = 0 )
| ~QIconEnginePluginV2 ()

## Reimplemented Public Functions

virtual QIconEngineV2 * | create ( const QString & filename = QString() ) = 0
virtual QStringList | keys () const = 0

- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 7 static public members inherited from QObject
- 8 protected functions inherited from QObject

## Detailed Description

The QIconEnginePluginV2 class provides an abstract base for custom QIconEngineV2 plugins.

Icon engine plugins produces QIconEngines for QIcons; an icon engine is used to render the icon. The keys that identifies the engines the plugin can create are suffixes of icon filenames; they are returned by keys(). The create() function receives the icon filename to return an engine for; it should return 0 if it cannot produce an engine for the file.

Writing an icon engine plugin is achieved by inheriting QIconEnginePluginV2, reimplementing keys() and create(), and adding the Q_EXPORT_PLUGIN2() macro.

You should ensure that you do not duplicate keys. Qt will query the plugins for icon engines in the order in which the plugins are found during plugin search (see the plugins overview document).

See also How to Create Qt Plugins.

## Member Function Documentation

### QIconEnginePluginV2::QIconEnginePluginV2 ( QObject * parent = 0 )

Constructs a icon engine plugin with the given parent. This is invoked automatically by the Q_EXPORT_PLUGIN2() macro.

### QIconEnginePluginV2::~QIconEnginePluginV2 ()

Destroys the icon engine plugin.

You never have to call this explicitly. Qt destroys a plugin automatically when it is no longer used.

### QIconEngineV2 * QIconEnginePluginV2::create ( const QString & filename = QString() )`[pure virtual]`

Creates and returns a QIconEngine object for the icon with the given filename.

See also keys().

### QStringList QIconEnginePluginV2::keys () const`[pure virtual]`

Returns a list of icon engine keys that this plugin supports. The keys correspond to the suffix of the file or resource name used when the plugin was created. Keys are case insensitive.

See also create().